Index: npl/overig/gyp/fetch-gyp.sh
===================================================================
--- npl/overig/gyp/fetch-gyp.sh	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
+++ npl/overig/gyp/fetch-gyp.sh	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Copyright 2019, 2020  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf gyp
+
+# Clone repository:
+git clone https://chromium.googlesource.com/external/gyp
+
+# checkout $BRANCH:
+( cd gyp 
+  git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd gyp && git log -1 --format=%h )"
+DATE="$( cd gyp && git log -1 --format=%cd --date=format:%Y%m%d )"
+LONGDATE="$( cd gyp && git log -1 --format=%cd --date=format:%c )"
+# Cleanup.  We're not packing up the whole git repo.
+( cd gyp && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+rm -r gyp/test/*
+mv gyp gyp-${DATE}_${HEADISAT}
+tar cf gyp-${DATE}_${HEADISAT}.tar gyp-${DATE}_${HEADISAT}
+xz -9 -f gyp-${DATE}_${HEADISAT}.tar
+rm -rf gyp-${DATE}_${HEADISAT}
+touch -d "$LONGDATE" gyp-${DATE}_${HEADISAT}.tar.xz
+echo
+echo "gyp branch $BRANCH with HEAD at $HEADISAT packaged as gyp-${DATE}_${HEADISAT}.tar.xz"
+echo
Index: npl/overig/gyp/gyp.SlackBuild
===================================================================
--- npl/overig/gyp/gyp.SlackBuild	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
+++ npl/overig/gyp/gyp.SlackBuild	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/d/gyp/
+# Created at do 24 dec 2020 14:55:11 CET
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./gyp.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/gyp/gyp.SlackBuild.orig
===================================================================
--- npl/overig/gyp/gyp.SlackBuild.orig	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
+++ npl/overig/gyp/gyp.SlackBuild.orig	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Copyright 2020  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=gyp
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$(uname -m)" in
+    i?86) ARCH=i586 ;;
+    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *) ARCH=$(uname -m) ;;
+  esac
+  export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+# Patches from Fedora:
+zcat $CWD/gyp-fix-cmake.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/gyp-ninja-build.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/gyp-python3.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/gyp-python38.patch.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/gyp-python39.patch.gz | patch -p1 --verbose || exit 1
+
+python3 setup.py install --root=$PKG || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  AUTHORS* LICENSE* README* \
+  $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/overig/gyp/slack-desc
===================================================================
--- npl/overig/gyp/slack-desc	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
+++ npl/overig/gyp/slack-desc	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+   |-----handy-ruler------------------------------------------------------|
+gyp: gyp (Generate Your Projects)
+gyp:
+gyp: GYP is a Meta-Build system: a build system that generates other build
+gyp: systems. GYP is intended to support large projects that need to be
+gyp: built on multiple platforms (e.g., Mac, Windows, Linux), and where it
+gyp: is important that the project can be built using the IDEs that are
+gyp: popular on each platform as if the project is a "native" one.
+gyp:
+gyp: Homepage: https://gyp.gsrc.io/
+gyp:
+gyp:
